﻿/*
 * 作者: 牛腩
 * 创建时间: 2009-9-2 9:59:30
 * Email: 164423073@qq.com
 * 说明: URL重写Module
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Text.RegularExpressions;

/// <summary>
///URL重写Module
/// </summary>
public class ModouleTest : IHttpModule
{
    public ModouleTest()
    {

    }

    #region IHttpModule 成员

    void IHttpModule.Dispose()
    {
        throw new NotImplementedException();
    }

    void IHttpModule.Init(HttpApplication context)
    {
        context.BeginRequest += new EventHandler(Application_BeginRequest);
    }

    #endregion

    private void Application_BeginRequest(object sender, EventArgs e)
    {

        HttpApplication application = (HttpApplication)sender;

        HttpRequest request = application.Request;

        HttpResponse response = application.Response;

        HttpServerUtility server = application.Server;

        string url = request.Url.ToString();

        /*
         * 只要输入的地址中有niunantest/的都会跳转并把/后头的字符传过去，如：
         * http://localhost:3212/ModuleTest/niunantest/43242
         * http://localhost:3212/ModuleTest/niunantest/abd3345
         * http://localhost:3212/ModuleTest/niunantest/牛腩
         */
        Regex reg = new Regex(@"niunantest/(\w+)");  

        if (reg.IsMatch(url))
        {
            Match m = reg.Match(url);
            string value = m.Groups[1].Value;
          //response.Write("匹配的值：" + value + "<br>");
            server.Transfer("~/default.aspx?str=" + value); // 使用response.Redirect会让地址栏中的地址改变      
        }
    }
}
